Subject: [RESEND][PATCH] ARM errata, 430973: update the affected revisions

From: [email-masked] (Tony Lindgren)
Date: Mon, 13 Apr 2015 14:45:49 -0700

* Russell King - ARM Linux <[email-masked]> [150413 14:37]:
> On Mon, Apr 13, 2015 at 09:28:09AM -0700, Tony Lindgren wrote:
> > * Tony Lindgren <[email-masked]> [150413 07:46]:
> > > If what Russell and I are saying is correct, with the above two
> > > patches your system should behave properly with 430973 even if
> > > bit 6 in the aux ctrl register is set (or unset) by the bootloader.
> > > 
> > > If r1p7 is behaves with bit 6 cleared and errata 430973 set, then
> > > we know r1p7 is unaffected by 430973.
> > 
> > Sorry let's take this part again:
> > 
> > If r1p7 is behaves with bit 6 cleared and errata 430973 _unset_,
> > then we know r1p7 is unaffected by 430973.
> 
> I've asked.  The errata applies to _all_ Cortex A8 r1pX versions.
> This is actually what the code in the kernel does today, but the
> documentation does not reflect it.  So, I've updated the
> documentation to reflect (a) the code and (b) the info I received:
> 
> http://ftp.arm.linux.org.uk/cgit/linux-arm.git/commit/?id=59552cc87cb6

OK thanks for checking it, that should clear quite a bit of confusion.

Regards,

Tony